| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwmgSTAR.cpp File Reference

Library routines to read and write micrograph parameters in STAR format. More...

`#include "mg_processing.h"`
`#include "rwmgSTAR.h"`
`#include "rwstar.h"`
`#include "mg_tags.h"`
`#include "linked_list.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
int | star_to_project (Bstar *star, Bproject *project)
int | project_to_star (Bproject *project, Bstar *star, int mg_select, int rec_select)
int | read_project_star (Bstring &filename, Bproject *project)
| Reading micrograph parameters from STAR files. More...
int | write_project_star (const char *filename, Bproject *project, int mg_select, int rec_select)
| Writing micrograph parameters to a STAR file. More...
int | write_project_star (Bstring &filename, Bproject *project, int mg_select, int rec_select)
int | mg_star_update_tags (Bstar *star)
| Replacing old STAR tags with new ones. More...
Bframe * | frame_from_starblock (Bstar_block *block)
Bparticle * | particle_from_starblock (Bstar_block *block, FOMType fom_tag[NFOM])
Bfilament * | filament_from_starblock (Bstar_block *block)
Bbadarea * | badarea_from_starblock (Bstar_block *block)
Bmarker * | marker_from_starblock (Bstar_block *block)
Bstrucfac * | strucfac_from_starblock (Bstar_block *block)
Blayerline * | layerline_from_starblock (Bstar_block *block)
CTFparam * | ctf_from_starblock (Bstar_block *block)
Bmicrograph * | micrograph_from_starblock (Bstar_block *block, Bstring &mg_id, FOMType fom_tag[NFOM])
Breconstruction * | reconstruction_from_starblock (Bstar_block *block, FOMType fom_tag[NFOM])
int | item_put_filament_list (Bstar_block *block, const char *tag, Bfilament *fil, const char *format)
int | frame_to_starblock (Bframe *frame, Bstar_block *block)
int | particle_to_starblock (Bparticle *part, Bstar_block *block, FOMType fom_tag[NFOM], int euler_flag, int omega_flag)
int | badarea_to_starblock (Bbadarea *bad, Bstar_block *block)
int | filament_to_starblock (Bfilament *fil, Bstar_block *block)
int | marker_to_starblock (Bmarker *mark, Bstar_block *block)
int | strucfac_to_starblock (Bstrucfac *sf, Bstar_block *block)
int | layerline_to_starblock (Blayerline *line, Bstar_block *block)
int | ctf_to_starblock (CTFparam *ctf, Bstar_block *block)
int | micrograph_to_starblock (Bmicrograph *mg, Bstar_block *block, FOMType fom_tag[NFOM], int euler_flag, int omega_flag)
int | reconstruction_to_starblock (Breconstruction *rec, Bstar_block *block, FOMType fom_tag[NFOM], int euler_flag, int omega_flag)

## Variables
int | verbose

## Detailed Description

Library routines to read and write micrograph parameters in STAR format.

Author
  Bernard Heymann

Date
  Created: 20010206
  Modified: 20190823

Definition in file rwmgSTAR.cpp.

## Function Documentation

## ◆ badarea_from_starblock()

Bbadarea* badarea_from_starblock | ( | Bstar_block * | block | ) |

Definition at line 345 of file rwmgSTAR.cpp.

## ◆ badarea_to_starblock()

int badarea_to_starblock | ( | Bbadarea * | bad,
|  | Bstar_block * | block
| ) |  |

Definition at line 1182 of file rwmgSTAR.cpp.

## ◆ ctf_from_starblock()

CTFparam* ctf_from_starblock | ( | Bstar_block * | block | ) |

Definition at line 558 of file rwmgSTAR.cpp.

## ◆ ctf_to_starblock()

int ctf_to_starblock | ( | CTFparam * | ctf,
|  | Bstar_block * | block
| ) |  |

Definition at line 1309 of file rwmgSTAR.cpp.

## ◆ filament_from_starblock()

Bfilament* filament_from_starblock | ( | Bstar_block * | block | ) |

Definition at line 295 of file rwmgSTAR.cpp.

## ◆ filament_to_starblock()

int filament_to_starblock | ( | Bfilament * | fil,
|  | Bstar_block * | block
| ) |  |

Definition at line 1198 of file rwmgSTAR.cpp.

## ◆ frame_from_starblock()

Bframe* frame_from_starblock | ( | Bstar_block * | block | ) |

Definition at line 132 of file rwmgSTAR.cpp.

## ◆ frame_to_starblock()

int frame_to_starblock | ( | Bframe * | frame,
|  | Bstar_block * | block
| ) |  |

Definition at line 1049 of file rwmgSTAR.cpp.

## ◆ item_put_filament_list()

int item_put_filament_list | ( | Bstar_block * | block,
|  | const char * | tag,
|  | Bfilament * | fil,
|  | const char * | format
| ) |  |

Definition at line 1009 of file rwmgSTAR.cpp.

## ◆ layerline_from_starblock()

Blayerline* layerline_from_starblock | ( | Bstar_block * | block | ) |

Definition at line 509 of file rwmgSTAR.cpp.

## ◆ layerline_to_starblock()

int layerline_to_starblock | ( | Blayerline * | line,
|  | Bstar_block * | block
| ) |  |

Definition at line 1284 of file rwmgSTAR.cpp.

## ◆ marker_from_starblock()

Bmarker* marker_from_starblock | ( | Bstar_block * | block | ) |

Definition at line 377 of file rwmgSTAR.cpp.

## ◆ marker_to_starblock()

int marker_to_starblock | ( | Bmarker * | mark,
|  | Bstar_block * | block
| ) |  |

Definition at line 1214 of file rwmgSTAR.cpp.

## ◆ mg_star_update_tags()

int mg_star_update_tags | ( | Bstar * | star | ) |

Replacing old STAR tags with new ones.

Parameters

  *star | STAR database.

Returns
  int 0.

Definition at line 83 of file rwmgSTAR.cpp.

## ◆ micrograph_from_starblock()

Bmicrograph* micrograph_from_starblock | ( | Bstar_block * | block,
|  | Bstring & | mg_id,
|  | FOMType | fom_tag[NFOM]
| ) |  |

Definition at line 602 of file rwmgSTAR.cpp.

## ◆ micrograph_to_starblock()

int micrograph_to_starblock | ( | Bmicrograph * | mg,
|  | Bstar_block * | block,
|  | FOMType | fom_tag[NFOM],
|  | int | euler_flag,
|  | int | omega_flag
| ) |  |

Definition at line 1337 of file rwmgSTAR.cpp.

## ◆ particle_from_starblock()

Bparticle* particle_from_starblock | ( | Bstar_block * | block,
|  | FOMType | fom_tag[NFOM]
| ) |  |

Definition at line 164 of file rwmgSTAR.cpp.

## ◆ particle_to_starblock()

int particle_to_starblock | ( | Bparticle * | part,
|  | Bstar_block * | block,
|  | FOMType | fom_tag[NFOM],
|  | int | euler_flag,
|  | int | omega_flag
| ) |  |

Definition at line 1070 of file rwmgSTAR.cpp.

## ◆ project_to_star()

int project_to_star | ( | Bproject * | project,
|  | Bstar * | star,
|  | int | mg_select,
|  | int | rec_select
| ) |  |

Definition at line 1530 of file rwmgSTAR.cpp.

## ◆ read_project_star()

int read_project_star | ( | Bstring & | filename,
|  | Bproject * | project
| ) |  |

Reading micrograph parameters from STAR files.

Parameters

  &filename | file name (or comma-delimited list).
  *project | initialized project structure.

Returns
  int error code (<0 means failure).

Definition at line 29 of file rwmgSTAR.cpp.

## ◆ reconstruction_from_starblock()

Breconstruction* reconstruction_from_starblock | ( | Bstar_block * | block,
|  | FOMType | fom_tag[NFOM]
| ) |  |

Definition at line 727 of file rwmgSTAR.cpp.

## ◆ reconstruction_to_starblock()

int reconstruction_to_starblock | ( | Breconstruction * | rec,
|  | Bstar_block * | block,
|  | FOMType | fom_tag[NFOM],
|  | int | euler_flag,
|  | int | omega_flag
| ) |  |

Definition at line 1438 of file rwmgSTAR.cpp.

## ◆ star_to_project()

int star_to_project | ( | Bstar * | star,
|  | Bproject * | project
| ) |  |

Definition at line 867 of file rwmgSTAR.cpp.

## ◆ strucfac_from_starblock()

Bstrucfac* strucfac_from_starblock | ( | Bstar_block * | block | ) |

Definition at line 440 of file rwmgSTAR.cpp.

## ◆ strucfac_to_starblock()

int strucfac_to_starblock | ( | Bstrucfac * | sf,
|  | Bstar_block * | block
| ) |  |

Definition at line 1247 of file rwmgSTAR.cpp.

## ◆ write_project_star() [1/2]

int write_project_star | ( | const char * | filename,
|  | Bproject * | project,
|  | int | mg_select,
|  | int | rec_select
| ) |  |

Writing micrograph parameters to a STAR file.

Parameters

  &filename | file name.
  *project | project structure.
  mg_select | flag to only write selected micrographs.
  rec_select | flag to only convert selected reconstructions.

Returns
  int error code (<0 means failure).

Definition at line 56 of file rwmgSTAR.cpp.

## ◆ write_project_star() [2/2]

int write_project_star | ( | Bstring & | filename,
|  | Bproject * | project,
|  | int | mg_select,
|  | int | rec_select
| ) |  |

Definition at line 62 of file rwmgSTAR.cpp.

## Variable Documentation

## ◆ verbose

int verbose